Skip to main content
POST
/
v2
/
updates
/
transaction-by-id
/v2/updates/transaction-by-id
curl --request POST \
  --url https://api.example.com/v2/updates/transaction-by-id \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updateId": "<string>",
  "requestingParties": [
    "<string>"
  ]
}
'
{
  "transaction": {
    "updateId": "<string>",
    "effectiveAt": "<string>",
    "events": [
      {
        "ArchivedEvent": {
          "offset": 123,
          "nodeId": 123,
          "contractId": "<string>",
          "templateId": "<string>",
          "witnessParties": [
            "<string>"
          ],
          "packageName": "<string>",
          "implementedInterfaces": [
            "<string>"
          ]
        }
      }
    ],
    "offset": 123,
    "synchronizerId": "<string>",
    "recordTime": "<string>",
    "commandId": "<string>",
    "workflowId": "<string>",
    "traceContext": {
      "traceparent": "<string>",
      "tracestate": "<string>"
    },
    "externalTransactionHash": "<string>",
    "paidTrafficCost": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Body

application/json

Provided for backwards compatibility, it will be removed in the Canton version 3.5.0.

updateId
string
required

The ID of a particular transaction. Must be a valid LedgerString (as described in value.proto). Required

requestingParties
string[]

Provided for backwards compatibility, it will be removed in the Canton version 3.5.0. The parties whose events the client expects to see. Events that are not visible for the parties in this collection will not be present in the response. Each element must be a valid PartyIdString (as described in value.proto). Optional for backwards compatibility for GetTransactionById request: if defined transaction_format must be unset (falling back to defaults).

transactionFormat
TransactionFormat · object

Optional for GetTransactionById request for backwards compatibility: defaults to a transaction_format, where:

  • event_format.filters_by_party will have template-wildcard filters for all the requesting_parties
  • event_format.filters_for_any_party is unset
  • event_format.verbose = true
  • transaction_shape = TRANSACTION_SHAPE_ACS_DELTA

Response

Provided for backwards compatibility, it will be removed in the Canton version 3.5.0.

transaction
JsTransaction · object
required

Required